The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Elfutils: four vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of Elfutils.
Impacted products: Debian, Fedora, openSUSE Leap, RHEL, SIMATIC, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this bulletin: 2/4.
Number of vulnerabilities in this bulletin: 4.
Creation date: 18/02/2019.
Références of this threat: CVE-2019-7146, CVE-2019-7148, CVE-2019-7149, CVE-2019-7150, DLA-1689-1, FEDORA-2019-44a9d99647, openSUSE-SU-2019:1590-1, RHSA-2019:2197-01, RHSA-2019:3575-01, SSB-439005, SUSE-SU-2019:1486-1, SUSE-SU-2019:1733-1, USN-4012-1, VIGILANCE-VUL-28527.

Description of the vulnerability 

An attacker can use several vulnerabilities of Elfutils.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer weakness announce impacts software or systems such as Debian, Fedora, openSUSE Leap, RHEL, SIMATIC, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this security alert is medium.

The trust level is of type confirmed by the editor, with an origin of document.

This bulletin is about 4 vulnerabilities.

An attacker with a expert ability can exploit this vulnerability.

Solutions for this threat 

Debian 8: new elfutils packages.
New packages are available:
  Debian 8: elfutils 0.159-4.2+deb8u1

Fedora 29: new elfutils packages.
New packages are available:
  Fedora 29: elfutils 0.176-1.fc29

openSUSE Leap 15: new elfutils packages.
New packages are available:
  openSUSE Leap 15.0: elfutils 0.168-lp150.3.3.1
  openSUSE Leap 15.1: elfutils 0.168-lp151.4.3.1

RHEL 7: new elfutils packages.
New packages are available:
  RHEL 7: elfutils 0.176-2.el7

RHEL 8: new elfutils packages.
New packages are available:
  RHEL 8: elfutils 0.176-5.el8

SIMATIC S7-1500 CPU 1518: workaround for GNU/Linux Vulnerabilities.
A workaround is indicated in the information source.

SUSE LE 12 SP3/4: new elfutils packages.
New packages are available:
  SUSE LE 12 SP3: elfutils 0.158-7.7.2
  SUSE LE 12 SP4: elfutils 0.158-7.7.2

SUSE LE 15: new elfutils packages.
New packages are available:
  SUSE LE 15 RTM: elfutils 0.168-4.5.3
  SUSE LE 15 SP1: elfutils 0.168-4.5.3

Ubuntu: new elfutils packages.
New packages are available:
  Ubuntu 18.10: elfutils 0.170-0.5.0ubuntu1.1
  Ubuntu 18.04 LTS: elfutils 0.170-0.4ubuntu0.1
  Ubuntu 16.04 LTS: elfutils 0.165-3ubuntu1.2

Wind River Linux: solution (21/05/2019).
The solution is indicated in information sources.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides an applications vulnerabilities workaround. The Vigil@nce vulnerability database contains several thousand vulnerabilities.